Governance
List model configs
Returns a list of all model configurations with their budget and rate limit settings.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/api/governance/model-configs"{
"model_configs": [
{
"id": "string",
"model_name": "string",
"provider": "string",
"budget": {
"id": "string",
"max_limit": 0,
"reset_duration": "string",
"calendar_aligned": false,
"last_reset": "2019-08-24T14:15:22Z",
"current_usage": 0,
"config_hash": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"rate_limit": {
"id": "string",
"token_max_limit": 0,
"token_reset_duration": "string",
"token_current_usage": 0,
"token_last_reset": "2019-08-24T14:15:22Z",
"request_max_limit": 0,
"request_reset_duration": "string",
"request_current_usage": 0,
"request_last_reset": "2019-08-24T14:15:22Z",
"config_hash": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"count": 0
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}